commit:     63e0fcbf27e50800c7a06fc3e59e592a14bb619a
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Thu Jan  9 22:07:52 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Thu Jan  9 23:03:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=63e0fcbf

net-libs/nodejs: Version 10.18.1

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-libs/nodejs/Manifest              |   1 +
 net-libs/nodejs/nodejs-10.18.1.ebuild | 200 ++++++++++++++++++++++++++++++++++
 2 files changed, 201 insertions(+)

diff --git a/net-libs/nodejs/Manifest b/net-libs/nodejs/Manifest
index c38e2453800..3b079722844 100644
--- a/net-libs/nodejs/Manifest
+++ b/net-libs/nodejs/Manifest
@@ -1,5 +1,6 @@
 DIST node-v10.17.0.tar.xz 21514260 BLAKE2B 
a37793d78e14d1d2ca861c39f27c5e1dbb47ad26f14aa97139fd9f9be039bd47e528f10c9977725f1ca4b5f4e31a1066715091ffaa488f764c67290bc1c84541
 SHA512 
4eec936fa8d848b7e261f83b6e25c1bfb06355a7146dcca91b0f64fc401ca32dd1b0758c127b81be7f0d1cc59c3b24b4ec2c17282b4bdb91c5bf71f42f2f7cbc
 DIST node-v10.18.0.tar.xz 21913328 BLAKE2B 
84b0b5157671dcc3e96bb2cfd11e085251fd2942c03b27491f712f5603797bab7503d8f7c0eb45ca8e348b20a0555c1767d4d1964fff474c8590a47eb01523a5
 SHA512 
8fc9062e150af6f054f1ebebbdf67151b16f14bcca9cbb35338a4c7fcd7fa1c3f05c4a7ace12d4153180cec0007a195cbc94942c4d04c3895384dc18951d2c1c
+DIST node-v10.18.1.tar.xz 21920068 BLAKE2B 
9dc0887a33f0888a347628e5bf15eb3687f15cba264a00317a15336fda48e41da9b4c45df6d0f223f2017c6b55b99eda0c4cd6f5913673da29c52a61450d03e2
 SHA512 
0979d264ef5286caea61a527771e2ac2fbe1b909a151061dbb7d9e0fde9461edd76b6060f55cfbd49d3ae2e7e10595a2eb4d2e98182e735e7df10940120fb9b6
 DIST node-v12.13.0.tar.xz 22862096 BLAKE2B 
b0121f45b535bac7baa0103db538070b4beb4b40a6c871c217eebfb1abb5a7821d83d46946047b3385af182f901c0390eb85134c9201be2d03b5745b297271f8
 SHA512 
a7aa8b1f010ea1df122d9d7b88ee0a9d10e0d79ae2f3d18c706ac6ce36e2e2039c21ea6f3dba3a22a79ed3f6069850a8a3c463dbd64e1e8f4a9dbe8901a89cc8
 DIST node-v12.14.0.tar.xz 23244684 BLAKE2B 
0e25cbba5e256b139efd45908236f008834afdf01f57a8e84c7e55ba950e56b786cd52eba9a02986eb0e1d38cbf6df38e1cd719d7dcd8085e8c71767adf8155e
 SHA512 
12e887709a54be911c5a81ab7b7be995247b47ebbd2954ca942f9ed8a784ae1a8e4bdb2613e5bb671196f9101d8861cd29e10650a3f0c414db4d096df94b309b
 DIST node-v12.14.1.tar.xz 23258936 BLAKE2B 
125289ce3e342c2e5e7bbb6f0b1af109f0ba8fbf2d6630f2cdc4aa31c25a3d846afe773e84daed9824360a6680a2d21378af4fbc42c6337399a143f92850a82f
 SHA512 
2e2b6fa8351b59450ab5491b5e31dc36ce4d9be13c55a14e6e4d95a82cc8334f9fc35261a56a8843903f8021ff333a333bb4d5f24c92b5d7483d4779c3d88342

diff --git a/net-libs/nodejs/nodejs-10.18.1.ebuild 
b/net-libs/nodejs/nodejs-10.18.1.ebuild
new file mode 100644
index 00000000000..489857c39f9
--- /dev/null
+++ b/net-libs/nodejs/nodejs-10.18.1.ebuild
@@ -0,0 +1,200 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+inherit bash-completion-r1 flag-o-matic pax-utils python-any-r1 
toolchain-funcs xdg-utils
+
+DESCRIPTION="A JavaScript runtime built on Chrome's V8 JavaScript engine"
+HOMEPAGE="https://nodejs.org/";
+SRC_URI="https://nodejs.org/dist/v${PV}/node-v${PV}.tar.xz";
+
+LICENSE="Apache-1.1 Apache-2.0 BSD BSD-2 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x64-macos"
+IUSE="cpu_flags_x86_sse2 debug doc icu inspector +npm +snapshot +ssl systemtap 
test"
+REQUIRED_USE="
+       inspector? ( icu ssl )
+       npm? ( ssl )
+"
+
+RDEPEND="
+       >=dev-libs/libuv-1.28.0:=
+       >=net-dns/c-ares-1.15.0
+       >=net-libs/http-parser-2.9.0:=
+       >=net-libs/nghttp2-1.39.2
+       sys-libs/zlib
+       icu? ( >=dev-libs/icu-64.2:= )
+       ssl? ( >=dev-libs/openssl-1.1.1:0= )
+"
+DEPEND="
+       ${RDEPEND}
+       ${PYTHON_DEPS}
+       systemtap? ( dev-util/systemtap )
+       test? ( net-misc/curl )
+"
+PATCHES=(
+       "${FILESDIR}"/${PN}-10.3.0-global-npm-config.patch
+)
+RESTRICT="test"
+S="${WORKDIR}/node-v${PV}"
+
+pkg_pretend() {
+       (use x86 && ! use cpu_flags_x86_sse2) && \
+               die "Your CPU doesn't support the required SSE2 instruction."
+
+       ( [[ ${MERGE_TYPE} != "binary" ]] && ! test-flag-CXX -std=c++11 ) && \
+               die "Your compiler doesn't support C++11. Use GCC 4.8, Clang 
3.3 or newer."
+}
+
+src_prepare() {
+       tc-export CC CXX PKG_CONFIG
+       export V=1
+       export BUILDTYPE=Release
+
+       # fix compilation on Darwin
+       # https://code.google.com/p/gyp/issues/detail?id=260
+       sed -i -e "/append('-arch/d" tools/gyp/pylib/gyp/xcode_emulation.py || 
die
+
+       # make sure we use python2.* while using gyp
+       sed -i -e "s/python/${EPYTHON}/" deps/npm/node_modules/node-gyp/gyp/gyp 
|| die
+       sed -i -e "s/|| 'python2'/|| '${EPYTHON}'/" 
deps/npm/node_modules/node-gyp/lib/configure.js || die
+
+       # less verbose install output (stating the same as portage, basically)
+       sed -i -e "/print/d" tools/install.py || die
+
+       # proper libdir, hat tip @ryanpcmcquen 
https://github.com/iojs/io.js/issues/504
+       local LIBDIR=$(get_libdir)
+       sed -i -e "s|lib/|${LIBDIR}/|g" tools/install.py || die
+       sed -i -e "s/'lib'/'${LIBDIR}'/" deps/npm/lib/npm.js || die
+
+       # Avoid writing a depfile, not useful
+       sed -i -e "/DEPFLAGS =/d" tools/gyp/pylib/gyp/generator/make.py || die
+
+       sed -i -e "/'-O3'/d" common.gypi deps/v8/gypfiles/toolchain.gypi || die
+
+       # Avoid a test that I've only been able to reproduce from emerge. It 
doesnt
+       # seem sandbox related either (invoking it from a sandbox works fine).
+       # The issue is that no stdin handle is openened when asked for one.
+       # It doesn't really belong upstream , so it'll just be removed until 
someone
+       # with more gentoo-knowledge than me (jbergstroem) figures it out.
+       rm test/parallel/test-stdout-close-unref.js || die
+
+       # debug builds. change install path, remove optimisations and override 
buildtype
+       if use debug; then
+               sed -i -e "s|out/Release/|out/Debug/|g" tools/install.py || die
+               BUILDTYPE=Debug
+       fi
+
+       default
+}
+
+src_configure() {
+       xdg_environment_reset
+
+       local myconf=( --shared-cares --shared-http-parser --shared-libuv 
--shared-nghttp2 --shared-zlib )
+       use debug && myconf+=( --debug )
+       use icu && myconf+=( --with-intl=system-icu ) || myconf+=( 
--with-intl=none )
+       use inspector || myconf+=( --without-inspector )
+       use npm || myconf+=( --without-npm )
+       use snapshot && myconf+=( --with-snapshot )
+       use ssl && myconf+=( --shared-openssl ) || myconf+=( --without-ssl )
+
+       local myarch=""
+       case ${ABI} in
+               amd64) myarch="x64";;
+               arm) myarch="arm";;
+               arm64) myarch="arm64";;
+               ppc64) myarch="ppc64";;
+               x32) myarch="x32";;
+               x86) myarch="ia32";;
+               *) myarch="${ABI}";;
+       esac
+
+       GYP_DEFINES="linux_use_gold_flags=0
+               linux_use_bundled_binutils=0
+               linux_use_bundled_gold=0" \
+       "${PYTHON}" configure \
+               --prefix="${EPREFIX}"/usr \
+               --dest-cpu=${myarch} \
+               $(use_with systemtap dtrace) \
+               "${myconf[@]}" || die
+}
+
+src_compile() {
+       emake -C out mksnapshot
+       pax-mark m "out/${BUILDTYPE}/mksnapshot"
+       emake -C out
+}
+
+src_install() {
+       local LIBDIR="${ED}/usr/$(get_libdir)"
+       emake install DESTDIR="${D}"
+       pax-mark -m "${ED}"/usr/bin/node
+
+       # set up a symlink structure that node-gyp expects..
+       dodir /usr/include/node/deps/{v8,uv}
+       dosym . /usr/include/node/src
+       for var in deps/{uv,v8}/include; do
+               dosym ../.. /usr/include/node/${var}
+       done
+
+       if use doc; then
+               docinto html
+               dodoc -r "${S}"/doc/*
+       fi
+
+       if use npm; then
+               dodir /etc/npm
+
+               # Install bash completion for `npm`
+               # We need to temporarily replace default config path since
+               # npm otherwise tries to write outside of the sandbox
+               local 
npm_config="usr/$(get_libdir)/node_modules/npm/lib/config/core.js"
+               sed -i -e "s|'/etc'|'${ED}/etc'|g" "${ED}/${npm_config}" || die
+               local tmp_npm_completion_file="$(emktemp)"
+               "${ED}/usr/bin/npm" completion > "${tmp_npm_completion_file}"
+               newbashcomp "${tmp_npm_completion_file}" npm
+               sed -i -e "s|'${ED}/etc'|'/etc'|g" "${ED}/${npm_config}" || die
+
+               # Move man pages
+               doman "${LIBDIR}"/node_modules/npm/man/man{1,5,7}/*
+
+               # Clean up
+               rm "${LIBDIR}"/node_modules/npm/{.mailmap,.npmignore,Makefile} 
|| die
+               rm -rf "${LIBDIR}"/node_modules/npm/{doc,html,man} || die
+
+               local find_exp="-or -name"
+               local find_name=()
+               for match in "AUTHORS*" "CHANGELOG*" "CONTRIBUT*" "README*" \
+                       ".travis.yml" ".eslint*" ".wercker.yml" ".npmignore" \
+                       "*.md" "*.markdown" "*.bat" "*.cmd"; do
+                       find_name+=( ${find_exp} "${match}" )
+               done
+
+               # Remove various development and/or inappropriate files and
+               # useless docs of dependend packages.
+               find "${LIBDIR}"/node_modules \
+                       \( -type d -name examples \) -or \( -type f \( \
+                               -iname "LICEN?E*" \
+                               "${find_name[@]}" \
+                       \) \) -exec rm -rf "{}" \;
+       fi
+
+       mv "${D}"/usr/share/doc/node "${D}"/usr/share/doc/${PF} || die
+}
+
+src_test() {
+       out/${BUILDTYPE}/cctest || die
+       "${PYTHON}" tools/test.py --mode=${BUILDTYPE,,} -J message parallel 
sequential || die
+}
+
+pkg_postinst() {
+       einfo "The global npm config lives in /etc/npm. This deviates slightly"
+       einfo "from upstream which otherwise would have it live in /usr/etc/."
+       einfo ""
+       einfo "Protip: When using node-gyp to install native modules, you can"
+       einfo "avoid having to download extras by doing the following:"
+       einfo "$ node-gyp --nodedir /usr/include/node <command>"
+}

Reply via email to